//////////////////////////////////////////////////////////////////////////////// 
/// Pseudoglobe Screensaver
/// 
/// Copyright  2002  Sebastian Pipping <webmaster@hartwork.org>
/// 
/// -->  http://www.hartwork.org
/// 
/// This source code is released under the GNU General Public License (GPL).
/// See GPL.txt for details. Any non-GPL usage is strictly forbidden.
////////////////////////////////////////////////////////////////////////////////


#ifndef CTIMER
#define CTIMER

#include <windows.h>
#include "capplog.h"

class CTimer
{
	public:
		int iFrames;
		float fAnimationStep100;
		float fRotationStep100;
		float * pAnimationStep;
		float * pRotationStep;

		CTimer();
		void Start();
		void Pause();
		void Continue();
		void Stop();
		double GetElapsed();
		void Adjust();
		BOOL AdjustFrame();

	private:
		LONGLONG iFrequency;
		LONGLONG iBeginTime;
		LONGLONG iEndTime;
		LONGLONG iElapsedBefore;

		BOOL bTimerFound;
		BOOL bTimerRunning;

		int iAdjustFactor;
		int iAdjustCount;
};

#endif
